<div class="wrapper">

    <!-- Add Letter Section -->
    <div class="row mt-3" *ngIf="!addLetter">
        <div class="col-xl-6">
            <div class="alert-wrapper">
                <app-alert [message]="message" [type]="type" id="alert"></app-alert>
            </div>

        </div>
        <div class="col-xl-6">
            <div class="d-flex align-items-center" [ngClass]="nodata?'divright':'align-items-center'">

                <!-- Active/Inactive Toggle Button  -->
                <div class="ml-auto">
                    <mat-button-toggle-group appearance="legacy" name="status" aria-label="status" class="ml-2" value="active" (change)="letterStatusChanged($event)">
                        <mat-button-toggle value="active">
                            Active
                        </mat-button-toggle>
                        <mat-button-toggle value="inactive">
                            Inacitve
                        </mat-button-toggle>
                    </mat-button-toggle-group>
                </div>

                <!-- Add Letter Button  -->
                <div>
                    <button *appAccess="moduleName; lookFor: 'C'" mat-raised-button color="accent" class="addbutton wide" (click)="onAddLetter()">
                        <span>Add Letter</span>
                    </button>
                </div>

            </div>
        </div>

        <!-- Start Letter List Section  -->
        <div *ngIf="!addLetter && !nodata" class="col-xl-12 mt-3 plr-15">
            <kendo-grid [data]="gridView" [pageSize]="pageSize" [skip]="skip" [pageable]="true" [columnMenu]="true" [reorderable]="true" [filterable]="true" [filter]="state.filter" (dataStateChange)="dataStateChange($event)" [sortable]="true" [groupable]="true" [group]="groups"
                [reorderable]="reorder" [sortable]="{allowUnsort: allowUnsort,mode: multiple ? 'multiple' : 'single'}" [sort]="sort" (sortChange)="sortChange($event)" (groupChange)="groupChange($event)">

                <kendo-grid-column width="50" field="createdDate">
                    <ng-template kendoGridHeaderTemplate let-column let-columnIndex="columnIndex">
                        Date
                    </ng-template>
                    <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                        {{ dataItem.createdDate | date: 'MM/dd/yyyy' }}
                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-column width="60" field="name">
                    <ng-template kendoGridHeaderTemplate let-column let-columnIndex="columnIndex">
                        Letter Name
                    </ng-template>
                    <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                        <h6 *ngIf="hasPermission(moduleName, 'E'); else normal">
                            <strong>
                                <a (click)="onCLickLetterName(dataItem.id,dataItem.editStatus)">{{dataItem.name}}</a>
                            </strong>
                        </h6>
                        <ng-template #normal>
                            {{dataItem.name}}
                        </ng-template>
                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="casesName" title="Case" width="50"></kendo-grid-column>

                <kendo-grid-column field="appointmentName" title="Related Appt." width="50"></kendo-grid-column>

                <kendo-grid-column field="editStatus" title="Status" width="50">
                    <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                        <span *ngIf="dataItem.editStatus === 0">Draft</span>
                        <span *ngIf="dataItem.editStatus === 1">Finalised</span>
                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="createdBy" title="Created By" width="50"></kendo-grid-column>

            </kendo-grid>
        </div>
        <!-- <app-grid-no-data [title]="patientTitle"></app-grid-no-data> -->
        <!-- End Letter List Section  -->

    </div>

    <!-- Add/Edit Letter Component -->
    <app-add-letter *ngIf="addLetter" [isCopy]="isCopy" [letterId]="letterId" [letterlabel]="letterlabel" (openPopups)="openPopups($event)" (generatePatientLeters)="generatePatientLeters($event)" (showAlert)="showAlert($event)" (goBackToListing)="goBackToListing()" [patientId]="patientId" (duplicateID)="duplicateID($event)"></app-add-letter>

    <!-- Empty State Section-->
    <div *ngIf="nodata && !addLetter" class="row application-data-centered">
        <div class="col-xl-12">
            <div class="grid-child">
                <p><img src="../../../../../assets/no_data.ico" /></p>
                <p><strong> You haven’t added a Letter.</strong></p>
                <p *appAccess="moduleName; lookFor: 'C'">You can start creating letter for this patient by clicking on the Add Letter button.</p>
                <p *appAccess="moduleName; lookFor: 'C'"><strong><a href="javascript:void(0)" (click)="onAddLetter()"> Add Letter</a></strong></p>
            </div>
        </div>
    </div>

</div>

<!-- Preview popup start-->
<kendo-dialog *ngIf="openPreviewPopUp" (close)="closePopups(PREVIEW)" [height]="auto" [width]="800" autoFocusedElement="#nocancel">
    <div class="modalHeight">
        <!-- dialog header  -->
        <div class="col-xl-12 p-0">
            <div class="custom-delete-modal">
                <span class="QUI_BOLD_18_32 deletetext text-uppercase">
                    <span *ngIf="whichPopup == 'detachReferralOrThirdPartyError' || whichPopup == 'caseDeleteError' || whichPopup == 'dischargeCaseError'">
                        <img src="../../../../../assets/error_info.svg">
                    </span>
                <span>Preview</span>
                </span>
                <button mat-icon-button (click)="closePopups(PREVIEW)" aria-label="Close dialog">
                    <mat-icon>close</mat-icon>
                </button>
            </div>
        </div>
        <mat-divider></mat-divider>
        <!-- dialog body  -->
        <kendo-pdf-export #pdf paperSize="A4" margin="2cm">
            <div [innerHTML]="PreviewData" class="deleteDescription custom-dlt-content" id="exportDiv">

                <!-- <p class="HEL_REG_16_22 patientdeletemodal custom-font lightcolor pt-2">
                    Preview Body
                </p> -->
            </div>
        </kendo-pdf-export>

        <!-- dialog footer  -->
        <mat-dialog-content>
            <div class="row bottom-btn">
                <div class="col-4 pt-3">
                    <button mat-stroked-button class="mat-stroked-button-delete footer-btn-customize mr-2" (click)="openPopups(DELETE)">
                        <span>Delete</span>
                    </button>
                </div>
                <div class="col-8 pt-3 text-right">
                    <button mat-stroked-button color="accent" class="footer-btn-customize mr-2" (click)="openPopups('duplicate')">
                        <span>Duplicate</span>
                    </button>

                    <button mat-stroked-button [matMenuTriggerFor]="aboveMenu" color="accent" class="footer-btn-customize mr-2">
                        <span>Export</span>
                        <span class="k-icon k-i-arrow-60-down"></span>
                    </button>
                    <mat-menu #aboveMenu="matMenu" yPosition="above">
                        <button mat-menu-item (click)="Export2Word('exportDiv','exportdocument')">WORD</button>
                        <mat-divider></mat-divider>
                        <button mat-menu-item (click)="pdf.saveAs('invoice.pdf')">PDF</button>
                    </mat-menu>

                    <button mat-stroked-button color="accent" class="footer-btn-customize mr-2" (click)="openPopups(EMAIL)">
                        <span>Email</span>
                    </button>

                    <button mat-raised-button color="accent" class="footer-btn-customize">
                        <span>Print</span>
                    </button>
                </div>
            </div>
        </mat-dialog-content>
    </div>
</kendo-dialog>

<!-- Delete Letter PopUp -->
<kendo-dialog *ngIf="openDeleteLettePopUp" (close)="closePopups(DELETE)" [height]="auto" [width]="800" autoFocusedElement="#nocancel">
    <div class="modalHeight">
        <!-- dialog header  -->
        <div class="col-xl-12 p-0">
            <div class="custom-delete-modal">
                <span class="QUI_BOLD_18_32 deletetext text-uppercase">
                    <span *ngIf="whichPopup == 'detachReferralOrThirdPartyError' || whichPopup == 'caseDeleteError' || whichPopup == 'dischargeCaseError'">
                        <img src="../../../../../assets/error_info.svg">
                    </span>
                <span>ARE YOU SURE TO DELETE THIS LETTER?</span>
                </span>
                <button mat-icon-button (click)="closePopups(DELETE)" aria-label="Close dialog">
                    <mat-icon>close</mat-icon>
                </button>
            </div>
        </div>
        <mat-divider></mat-divider>
        <!-- dialog body  -->
        <div class="deleteDescription custom-dlt-content">
            <p class="HEL_REG_16_22 patientdeletemodal custom-font lightcolor pt-2">
                Deleted letter cannot be restored.
            </p>
        </div>
        <mat-divider></mat-divider>
        <!-- dialog footer  -->
        <mat-dialog-content>
            <div class="row bottom-btn">
                <div class="col-12 pt-3 text-right">
                    <button mat-stroked-button color="accent" class="footer-btn-customize mr-2" (click)="closePopups(DELETE)">
                        <span>No</span>
                    </button>
                    <button mat-raised-button color="accent" class="footer-btn-customize" (click)="closePopups(DELETELETTER)">
                        <span>Yes</span>
                    </button>
                </div>
            </div>
        </mat-dialog-content>
    </div>
</kendo-dialog>

<!-- Duplicate Lette PopUp -->
<kendo-dialog *ngIf="openDuplicateLettePopUp" (close)="closePopups(DUPLICATE)" [height]="auto" [width]="800" autoFocusedElement="#nocancel">
    <div class="modalHeight">
        <!-- dialog header  -->
        <div class="col-xl-12 p-0">
            <div class="custom-delete-modal">
                <span class="QUI_BOLD_18_32 deletetext text-uppercase">
                    <span *ngIf="whichPopup == 'detachReferralOrThirdPartyError' || whichPopup == 'caseDeleteError' || whichPopup == 'dischargeCaseError'">
                        <img src="../../../../../assets/error_info.svg">
                    </span>
                <span>DO YOU WISH TO DUPLICATE THIS PATIENT LATTER?</span>
                </span>
                <button mat-icon-button (click)="closePopups(DUPLICATE)" aria-label="Close dialog">
                    <mat-icon>close</mat-icon>
                </button>
            </div>
        </div>
        <mat-divider></mat-divider>
        <!-- dialog body  -->
        <div class="deleteDescription custom-dlt-content">
            <p class="HEL_REG_16_22 patientdeletemodal custom-font lightcolor pt-2">
                Click "Yes", to create a duplicate letter.
            </p>
        </div>
        <mat-divider></mat-divider>
        <!-- dialog footer  -->
        <mat-dialog-content>
            <div class="row bottom-btn">
                <div class="col-12 pt-3 text-right">
                    <button mat-stroked-button color="accent" class="footer-btn-customize mr-2" (click)="closePopups(DUPLICATE)">
                        <span>No</span>
                    </button>
                    <button mat-raised-button color="accent" class="footer-btn-customize" (click)="duplicateLetter()">
                        <span>Yes</span>
                    </button>
                </div>
            </div>
        </mat-dialog-content>
    </div>
</kendo-dialog>

<!-- Email Lette PopUp -->
<kendo-dialog *ngIf="openEmailLettePopUp" (close)="closePopups(EMAIL)" [height]="auto" [width]="800" autoFocusedElement="#nocancel">
    <div class="modalHeight">
        <!-- dialog header  -->
        <div class="col-xl-12 p-0">
            <div class="custom-delete-modal">
                <span class="QUI_BOLD_18_32 deletetext text-uppercase">
                    <span *ngIf="whichPopup == 'detachReferralOrThirdPartyError' || whichPopup == 'caseDeleteError' || whichPopup == 'dischargeCaseError'">
                        <img src="../../../../../assets/error_info.svg">
                    </span>
                <span>EMAIL</span>
                </span>
                <button mat-icon-button (click)="closePopups(EMAIL)" aria-label="Close dialog">
                    <mat-icon>close</mat-icon>
                </button>
            </div>
        </div>
        <!-- dialog body  -->
        <div class="deleteDescription custom-dlt-content" style="height: 500px;">
            <div class="emailContainer">
                <h1 class="HEL_REG_16_22 patientdeletemodal custom-font lightcolor pt-2" style="font-size: 28px;">
                    NOT YET DESIGNED
                </h1>
                <p style="padding-top:10px;">(THE LETTER SHOULD BE ADDED AS AN ATTACHMENT IN THE PDF FORMAT)</p>
            </div>
        </div>
        <mat-divider></mat-divider>
    </div>
</kendo-dialog>
